/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * VersionAction.cpp
 *
 *  Created on: May 8, 2010
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "version.h"

#include <iostream>
#include <string>

using namespace std;

#include "Actions/CommandAction/VersionAction.hpp"

// and construct the stuff
#include "VersionAction.def"
#include "Action_impl_pre.hpp"
/** =========== define the function ====================== */
Action::state_ptr CommandVersionAction::performCall() {
  // obtain information
  getParametersfromValueStorage();

  return Action::success;
}

Action::state_ptr CommandVersionAction::performUndo(Action::state_ptr _state) {
  return Action::success;
}

Action::state_ptr CommandVersionAction::performRedo(Action::state_ptr _state){
  return Action::success;
}

bool CommandVersionAction::canUndo() {
  return true;
}

bool CommandVersionAction::shouldUndo() {
  return false;
}
/** =========== end of function ====================== */
